UiPath Documentation
automation-cloud
latest
false

Guia de API da UiPath Automation Cloud

Última atualização 5 de mai de 2026

Bulk Resolve Directory Entities

Resolves multiple directory entities by their unique identifiers and types in a single request, based on the organization ID.

Ponto de Extremidade da API

POST {accessURL}/{organizationName}/identity_/api/Directory/BulkResolve/{partitionGlobalId}

Substitua {accessURL} em todos os caminhos do ponto de extremidade pelo URL base para sua plataforma de nuvem:

Cloud PlatformURL de acesso
Automation Cloudhttps://cloud.uipath.com/
Automation Cloud Setor públicohttps://govcloud.uipath.us/
Automation Cloud dedicadohttps://{customURL}.dedicated.uipath.com/

Escopos

Requer os seguintes escopos:

  • PM.Directory

Cabeçalhos de solicitação.

--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
Observação:

Para obter o {access_token}, certifique-se de se autenticar por meio de um dos métodos descritos aqui.

Parâmetros do caminho

Parâmetro do caminhoTipo de dadosDescription
partitionGlobalId (obrigatório)String (GUID)The ID of the organization to resolve the entities within.

Corpo da Solicitação

The request body specifies the entities to resolve. Each entity ID corresponds to the entity type at the same index.

{
    "entityIds": [
        "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901"
    ],
    "entityTypes": [
        "User",
        "Group"
    ]
}
{
    "entityIds": [
        "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901"
    ],
    "entityTypes": [
        "User",
        "Group"
    ]
}
PropriedadeTipo de dadosDescription
entityIds (obrigatório)Array of stringsThe unique identifiers of the directory entities to resolve.
entityTypes (obrigatório)Array of stringsThe types corresponding to each entity ID. Valid values: User, Group, Application. Must be the same length as entityIds.

Resposta

200 OK

Returns a dictionary mapping each entity identifier to its resolved directory entity. Entities that could not be resolved are returned as null.

{
    "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890": {
        "objectType": "DirectoryUser",
        "source": "aad",
        "identifier": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "name": "john.doe@example.com",
        "email": "john.doe@example.com",
        "displayName": "John Doe",
        "firstName": "John",
        "lastName": "Doe"
    },
    "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901": {
        "objectType": "DirectoryGroup",
        "source": "aad",
        "identifier": "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901",
        "name": "Engineering Team",
        "displayName": "Engineering Team"
    }
}
{
    "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890": {
        "objectType": "DirectoryUser",
        "source": "aad",
        "identifier": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "name": "john.doe@example.com",
        "email": "john.doe@example.com",
        "displayName": "John Doe",
        "firstName": "John",
        "lastName": "Doe"
    },
    "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901": {
        "objectType": "DirectoryGroup",
        "source": "aad",
        "identifier": "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901",
        "name": "Engineering Team",
        "displayName": "Engineering Team"
    }
}

400 Bad Request

Returned when entityIds and entityTypes have different lengths, or when required parameters are missing.

Exemplo de solicitação

Digamos que você reuniu todas as informações necessárias para criar a chamada de API.

A chamada deve ser semelhante ao seguinte exemplo (cURL):

curl --location --request POST 'https://cloud.uipath.com/{organizationName}/identity_/api/Directory/BulkResolve/3fa85f64-5717-4562-b3fc-2c963f66afa6' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json' \
--data-raw '{
    "entityIds": [
        "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901"
    ],
    "entityTypes": [
        "User",
        "Group"
    ]
}'
curl --location --request POST 'https://cloud.uipath.com/{organizationName}/identity_/api/Directory/BulkResolve/3fa85f64-5717-4562-b3fc-2c963f66afa6' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json' \
--data-raw '{
    "entityIds": [
        "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901"
    ],
    "entityTypes": [
        "User",
        "Group"
    ]
}'

Aqui está o body da resposta de uma chamada bem-sucedida:

{
    "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890": {
        "objectType": "DirectoryUser",
        "source": "aad",
        "identifier": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "name": "john.doe@example.com",
        "email": "john.doe@example.com",
        "displayName": "John Doe",
        "firstName": "John",
        "lastName": "Doe"
    },
    "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901": {
        "objectType": "DirectoryGroup",
        "source": "aad",
        "identifier": "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901",
        "name": "Engineering Team",
        "displayName": "Engineering Team"
    }
}
{
    "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890": {
        "objectType": "DirectoryUser",
        "source": "aad",
        "identifier": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "name": "john.doe@example.com",
        "email": "john.doe@example.com",
        "displayName": "John Doe",
        "firstName": "John",
        "lastName": "Doe"
    },
    "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901": {
        "objectType": "DirectoryGroup",
        "source": "aad",
        "identifier": "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901",
        "name": "Engineering Team",
        "displayName": "Engineering Team"
    }
}

Esta página foi útil?

Conectar

Precisa de ajuda? Suporte

Quer aprender? Academia UiPath

Tem perguntas? Fórum do UiPath

Fique por dentro das novidades